> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contact

> Retrieve detailed information about a specific contact including recent activity (up to 3 most recent AgentThread rows). `active_chat_agent` may be null.



## OpenAPI

````yaml GET /contacts/{contact_id}/
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /contacts/{contact_id}/:
    get:
      summary: Get Contact
      description: >-
        Retrieve detailed information about a specific contact including recent
        activity (up to 3 most recent AgentThread rows). `active_chat_agent` may
        be null.
      parameters:
        - name: contact_id
          in: path
          description: The ID of the contact
          required: true
          schema:
            type: string
        - name: pn
          in: query
          description: If true, returns 404 when the contact has no phone number
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Contact details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactDetail'
        '401':
          description: Unauthorized - Invalid or missing API key
        '404':
          description: >-
            Contact not found, or (when `pn` is true) contact has no phone
            number
      security:
        - CompanyApiKey: []
components:
  schemas:
    ContactDetail:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        business_name:
          type: string
          nullable: true
        notes:
          type: string
          nullable: true
        active_chat_agent:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ActiveChatAgent'
        tags:
          type: array
          items:
            type: string
        lead_source:
          type: string
          enum:
            - manual
            - api
            - webhook
            - facebook
            - instagram
            - import
        is_dnd:
          type: boolean
        profile_picture_url:
          type: string
          nullable: true
        last_activity:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
          nullable: true
        recent_activity:
          type: array
          description: Up to 3 most recent AgentThread rows for this contact.
          items:
            $ref: '#/components/schemas/ContactRecentActivityItem'
    ActiveChatAgent:
      type: object
      description: May be null when no active chat agent is assigned.
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        active:
          type: boolean
    ContactRecentActivityItem:
      type: object
      description: Summary of an AgentThread row.
      properties:
        id:
          type: string
          format: uuid
        agent_name:
          type: string
        agent_id:
          type: string
          format: uuid
        type:
          type: string
        status:
          type: string
        direction:
          type: string
          nullable: true
        duration:
          type: number
          nullable: true
        created_at:
          type: string
          format: date-time
  securitySchemes:
    CompanyApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Company API Key

````